corda / net.corda.node.services.transactions / ValidatingNotaryService

# ValidatingNotaryService

`class ValidatingNotaryService : NotaryService`

A Notary service that validates the transaction chain of the submitted transaction before committing it

### Constructors

<init> | `ValidatingNotaryService(services: ServiceHubInternal, timestampChecker: TimestampChecker, uniquenessProvider: UniquenessProvider)` A Notary service that validates the transaction chain of the submitted transaction before committing it

### Properties

timestampChecker | `val timestampChecker: TimestampChecker`
uniquenessProvider | `val uniquenessProvider: UniquenessProvider`

### Functions

createFlow | `fun createFlow(otherParty: Party): ValidatingNotaryFlow` Implement a factory that specifies the transaction commit flow for the notary service to use

### Companion Object Properties

type | `val type: ServiceType`